Name:	 readline
Version: 7.0
Release: 13
Summary: Readline library for editing typed command lines

License: GPLv3+
URL:	 http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html
Source0: http://git.savannah.gnu.org/cgit/readline.git/snapshot/%{name}-%{version}.tar.gz

Patch1: Readline-7.0-patch-1.patch
Patch2: Readline-7.0-patch-2.patch
Patch3: Readline-7.0-patch-3.patch
Patch4: Readline-7.0-patch-4.patch
Patch5: Readline-7.0-patch-5.patch
Patch6: readline-7.0-shlib.patch

BuildRequires:	gcc gcc-c++ ncurses-devel

%description
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are
typed in. Both Emacs and vi editing modes are available.The Readline
library includes additional functions to maintain a list of
previously-entered command lines, to recall and perhaps reedit those
lines, and perform csh-like history expansion on previous commands.

%package devel
Summary:  Development Header files for readline library
Requires: %{name} = %{version}-%{release}
Requires: ncurses-devel
Provides: %{name}-static
Obsoletes: %{name}-static

%description devel
The GNU Readline library provides a set of functions for use by
applications that allow users to edit command lines as they are
typed in.

This package contains Development header files for the readline
library.

%package        help
Summary:        Documents for %{name}
Buildarch:      noarch
Requires:	man info

%description help
Man pages and other related documents for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
export CPPFLAGS="-I%{_includedir}/ncurses"
%configure
%make_build

%install
%make_install

%ldconfig_scriptlets

%files
%doc
%license COPYING USAGE
%{_libdir}/libhistory.so.*
%{_libdir}/libreadline.so.*

%files devel
%{_includedir}/%{name}/*.h
%{_libdir}/libhistory.so
%{_libdir}/libreadline.so
%{_docdir}/%{name}/*
%{_datadir}/%{name}
%{_libdir}/*.a

%files help
%{_infodir}/history.info*
%{_infodir}/rluserman.info*
%{_infodir}/readline.info*
%exclude %{_infodir}/dir*
%{_mandir}/man3/*.3.gz


%changelog
* Thu Aug 22 2019 openEuler Buildteam <buildteam@openeuler.org> - 7.0-13
- Package init
